/************************************* */
/* Rule Set Based Access Control       */
/* Author and (c) 1999,2000: Amon Ott  */
/* file system                         */
/* Helper functions for all parts      */
/* Last modified: 16/Mar/2000          */
/************************************* */

#ifndef __RSBAC_FS_H
#define __RSBAC_FS_H

#include <linux/fs.h>

/* original lookup_dentry function without rsbac patch for adf call */

struct dentry * rsbac_lookup_dentry(const char *, struct dentry *, u_int);

extern void __fput(struct file *);

#ifndef SHM_FS_MAGIC
#define SHM_FS_MAGIC 0x02011994
#endif

#endif
